Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.util
Class CMTBTMTransaction

    java.lang.Object
      org.jboss.seam.transaction.AbstractUserTransaction
          org.jbpm.kie.services.impl.util.CMTBTMTransaction

All Implemented Interfaces:
  UserTransaction, org.jboss.seam.transaction.SeamTransaction

    @ApplicationScoped
    @DefaultTransaction
    @Veto
    public class CMTBTMTransaction

extends org.jboss.seam.transaction.AbstractUserTransaction

Constructor Summary
`CMTBTMTransaction()`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`void` | `init(org.jboss.seam.transaction.Synchronizations sync)`
`void` | `registerSynchronization(Synchronization sync)`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int timeout)`

Methods inherited from class org.jboss.seam.transaction.AbstractUserTransaction
`enlist, getSynchronizations, isActive, isActiveOrMarkedRollback, isCommitted, isConversationContextRequired, isMarkedRollback, isNoTransaction, isRolledBack, isRolledBackOrMarkedRollback, setSynchronizations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMTBTMTransaction

    public CMTBTMTransaction()

Method Detail

### init

    @Inject
    public void init(org.jboss.seam.transaction.Synchronizations sync)

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Throws:
    `NotSupportedException`
    `SystemException`

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       IllegalStateException,
                       SystemException

  Throws:
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `SecurityException`
    `IllegalStateException`
    `SystemException`

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

  Throws:
    `IllegalStateException`
    `SecurityException`
    `SystemException`

### getStatus

    public int getStatus()
                  throws SystemException

  Throws:
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Throws:
    `IllegalStateException`
    `SystemException`

### setTransactionTimeout

    public void setTransactionTimeout(int timeout)
                               throws SystemException

  Throws:
    `SystemException`

### registerSynchronization

    public void registerSynchronization(Synchronization sync)

  Specified by:
    `registerSynchronization` in interface `org.jboss.seam.transaction.SeamTransaction`
  Specified by:
    `registerSynchronization` in class `org.jboss.seam.transaction.AbstractUserTransaction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.